Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048335 - heat-manage doesn't work on EL
Summary: heat-manage doesn't work on EL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: 4.0
Assignee: Jeff Peeler
QA Contact: Steven Hardy
URL:
Whiteboard:
: 1048334 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-03 18:44 UTC by Pádraig Brady
Modified: 2016-01-04 14:46 UTC (History)
9 users (show)

Fixed In Version: openstack-heat-2013.2.1-2.el6ost
Doc Type: Bug Fix
Doc Text:
Due to a packaging error, the heat-manage tool was not working properly (which prohibited a successful database creation). This error has been fixed by moving the parallel package selection code so that all Orchestration tools now use the proper packages for use at runtime.
Clone Of: 1048319
Environment:
Last Closed: 2014-01-22 18:34:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0090 0 normal SHIPPED_LIVE Moderate: openstack-heat security, bug fix, and enhancement update 2014-01-22 23:31:23 UTC

Description Pádraig Brady 2014-01-03 18:44:41 UTC
+++ This bug was initially created as a clone of Bug #1048319 +++

Description of problem:

heat-* services fail to start on RHEL 6.5

Version-Release number of selected component (if applicable):
Version     : 2014.1
Release     : 0.1.b1.el6

How reproducible:

every time with a fresh install on RHEL 6.5 through packstack

Steps to Reproduce:
1. fresh install 
2. service openstack-heat-api start
3. see logs

Actual results:

does not start

Expected results:

heat should start

Additional info:

at first, heat cannot start due to a database problem.

tried a workaround dropping the db and reinitializing but this is the result

[root@rhel6 heat]# openstack-db --service heat --drop
Please enter the password for the 'root' MySQL user: 
Verified connectivity to MySQL.
Dropping 'heat' database.
Complete!
[root@rhel6 heat]# openstack-db --service heat --init
Please enter the password for the 'root' MySQL user: 
Verified connectivity to MySQL.
Creating 'heat' database.
Initializing the heat database, please wait...
ERROR: No module named sqlalchemy
ERROR 1146 (42S02) at line 1: Table 'heat.migrate_version' doesn't exist
Final sanity check failed.
Please file a bug report on bugzilla.redhat.com against the openstack-heat package.

at this stage, there are 3 candidates for python-sqlalchemy:

- version 0.7 from epel6 that is actually installed
- version 0.5 from rpm-updates. If installed conflicts with 0.7.
- version 0.8 from epel6 that cannot be installed due to priority problems.

--- Additional comment from Pádraig Brady on 2014-01-03 12:47:23 EST ---

So this is an issue with low level heat-manage command needed in this work around situation. I'm guessing that heat-manage has not been updated to select the parallel installed version of sqlalchemy and that nova-manage has.

--- Additional comment from Pádraig Brady on 2014-01-03 13:41:58 EST ---

http://pkgs.fedoraproject.org/cgit/openstack-heat.git/commit/?h=el6-havana&id=30463c61

Comment 1 Steven Dake 2014-01-06 16:53:05 UTC
*** Bug 1048334 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2014-01-22 18:34:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0090.html


Note You need to log in before you can comment on or make changes to this bug.